Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1001 (closed enhancement: fixed)

Opened 11 years ago

Last modified 9 years ago

HAL does not support new Atheros chipID 0x0024 (rev 01) on new Macbook Pro

Reported by: john@deater.net Assigned to: mrenzmann
Priority: major Milestone: version 0.9.5
Component: madwifi: HAL Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

Not sure if this is the right place to post this, but hopefully this gets back to Atheros somehow.

Work just gave me a new Macbook pro 64-bit laptop to work with, and the Atheros card in it does not seem to be supported by the hal. I tried the latest svn, and even when I added my card id to ath/if_ath_pci.c, it failed to load with this (predictable) message:

[13750.969313] ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
[13750.977910] wlan: 0.8.4.2 (svn r1794)
[13750.979925] ath_rate_sample: 1.2 (svn r1794)
[13750.984876] ath_pci: 0.9.4.5 (svn r1794)
[13750.985069] ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 177
[13750.985085] PCI: Setting latency timer of device 0000:03:00.0 to 64
[13750.985366] wifi%d: unable to attach hardware: 'No hardware present or device not yet supported' (HAL status 1)
[13750.985391] ACPI: PCI interrupt for device 0000:03:00.0 disabled
$ lspci -vvxxx
..snip..
03:00.0 Network controller: Atheros Communications, Inc. Unknown device 0024 (rev 01)
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 177
        Region 0: Memory at d8100000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: <access denied>
00: 8c 16 24 00 03 00 10 00 01 00 80 02 40 00 00 00
10: 04 00 10 d8 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
30: 00 00 00 00 40 00 00 00 00 00 00 00 0a 01 00 00

Hope we can get this card supported soon.

john.c

Attachments

messages.bz2 (10.7 kB) - added by code_wiz on 04/01/07 20:02:58.

Change History

11/13/06 23:45:30 changed by anonymous

Support für 802.11 A, B and G would be enough for a start. Hello Atheros?!

11/14/06 06:38:56 changed by mrenzmann

a/b/g support for this chipset family is planned to be added to MadWifi, but that task has no schedule yet.

11/14/06 07:19:03 changed by goatmaster

I too am having problems with the current build of MadWifi and a new MacBook Pro with an Atheros chipID 0024.

From the /etc/sysconfig/hwconf file on Fedora Core 6...

class: NETWORK bus: PCI detached: 0 device: eth1 desc: "Atheros Communications, Inc. Unknown device 0024" vendorId: 168c deviceId: 0024 subVendorId: 0000 subDeviceId: 0000 pciType: 1 pcidom: 0 pcibus: 3 pcidev: 0 pcifn: 0

11/14/06 14:24:41 changed by Sven (was first anonymous)

Hello mrenzmann!

I read the some time ago. Is it only dependent from the availiblity of the Atheros binary core or what makes it so difficult to plan a schedule?

When did YOU expect, that Atheros will publish a new HAL? Do you (or any other member of the MadWiFi team) have direct contact to Atheros?

Is it possible to get a HAL from a Windows driver, or are these completely different?

11/14/06 14:38:31 changed by mrenzmann

The chipset support needs to be added to the HAL. We don't have access to the HAL sources, so we depend on our HAL supplier (Sam Leffler). When I asked him, Sam gave the information that I've mentioned above.

We have no further information, so there is no sense in asking what timeframe we expect - unless you're happy with an answer like "when it's done".

Windows drivers don't have a HAL, so there is nothing that could be imported from them. Using ndiswrapper to get a windows driver working on the target host probably is no option either.

11/14/06 17:08:21 changed by Sven

Does Sam develop the HAL under an NDA or what is the secret in it? What was the common timeframe (in the past) of developing/adding support for new hardware?

11/14/06 17:24:57 changed by mrenzmann

What "secret" are you refering to here? That he has no schedule for the addition of support for the new chipsets yet? Things like "he might be busy with other stuff" come to my mind, for example. That has nothing to do with secrets or the fact that he is under NDA with Atheros (as everyone else who wants to get the HAL sources), but more likely with the fact that even his day has only 24 hours.

However, what is your actual problem with his statement?

11/14/06 19:50:17 changed by Sven

No problem, but understanding the development process helps to get an idea what takes the time. If Sam is the only person working on the HAL, isn't it possible that somebody can help him. If there is an NDA, it will be more difficult, but not impossible, if the person do also sign the NDA.

Thanks for the answers, I was just curious, because I did not read anything about an NDA in the Wiki.

11/15/06 07:36:38 changed by mrenzmann

If Sam is the only person working on the HAL, isn't it possible that somebody can help him.

It's possible in theory, but not very likely in practice. And signing the NDA is just the very first step that needed to be taken before someone could join Sam with working on the HAL. Means: that would not help Mac users with getting a working driver faster.

From what I know, not even Apple has published a driver for the new cards so far, which is another pretty strong sign that it's not done with putting ones signature at the end of an NDA document.

11/15/06 09:56:40 changed by Sven

From what I know, not even Apple has published a driver for the new cards so far...

Not for the 802.11 N (or Draft-N) part, yes - but (of course) the A/B/G part. And for most of the users it would be enough to get this part working! As far as I understand hardware programming, it shouldn't be too difficult implement support for the old standard iff the programming (registers) aren't completely different. As you see in this ticket somebody already tried to add the PCI IDs, but this wasn't be enough. Maybe it would be enough to add the new Chipset-IDs in the HAL layer too, but we will never know...

Just my thoughts - and I do not want to criticise the work, it's great!

Thanks!

11/15/06 10:06:38 changed by mrenzmann

As stated before, I have no idea what amount of work it is to add support for the new chipset (even the "legacy support" stuff) to the HAL. I have no access to the HAL sources, and without that and the proper documentation it's a matter of blind guesses, which don't help anyone.

On the other hand, I'm quite confident that Sam would have added support for the new chipset to the HAL if it was just a matter of adding the chipset ID. The fact that he didn't do that yet makes me believe that more than that is necessary.

After all, there is no sense in discussing things we all can not judge due to a lack of insight. We have to wait until Sam finds the time to work on it - if we like it or not.

11/15/06 10:08:53 changed by pepie34

For those who want to use ndiswrapper for now: DLINK got a driver for the DWWA 645 wich uses the same chipset. But you need a windows 64bits driver to work on ndiswrapper on amd64 kernel. So no use now on the mac book pro with intel core 2 if you have install a amd64 system.

11/20/06 11:45:44 changed by anonymous

Thanks for the ndiswrapper hint. Got it working in under 5 minutes. What i did: Installed ndiswrapper. Under Debian this is as easy as 'm-a a-i ndiswrapper'. Got the windows driver for the DWA-645 (not DWWA!) from www.dlink.com/products/support.asp?pid=489&sec=0, unpacked it to a tmp directory. Changed into the directory, then 'ndiswrapper -i net4516.inf' to copy the driver into /etc/ndiswrapper. Then 'modprobe ndiswrapper', got wlan0, iwconfig and working. So for now this is a easy (although ugly) solution.

11/21/06 11:50:15 changed by anonymous

i tried your ndiswrapper hint on my archlinux box (MBP 15, 2.33 core 2duo), but with no success. i can install and modprobe the driver/modules without problems, but no device is created. there arent also any lines about that in the dmesg output. maybe its just like pepie described one above. thanks for your work

11/24/06 15:48:33 changed by Jon Grosshart

Yep... ndiswrapper works a charm. Thanks for the info. I can finally ditch my CAT5 cable... :-)

11/28/06 13:00:53 changed by anonymous

got ndiswrapper working on a 32bit linux. you have to use ndiswrapper >= 1.29

11/29/06 18:06:49 changed by zpon

Thanks you guys, I got it working with ubuntu and ndiswrapper, now we just has to wait for the hal fix :) Here is a very small description that might help ubuntu users ubuntuforums.org/showthread.php?p=1822454#post1822454

11/29/06 22:02:12 changed by anonymous

are there some workarounds for using this ndiswrapper-workaround on 64bit kernels? (as the macbook pro core 2 duo _is_ a 64bit computer)

11/30/06 07:05:56 changed by anonymous

are there some workarounds for using this ndiswrapper-workaround on 64bit kernels? (as the macbook pro core 2 duo _is_ a 64bit computer)

Are you using a amd64 install disk?

11/30/06 09:12:14 changed by anonymous

no, im using a x86_64, which is quite the same as the amd64.

11/30/06 14:45:23 changed by anonymous

Okay, according to pepie34, it sounds like you can just use the dlink driver (www.dlink.com/products/support.asp?pid=489&sec=0), have you tried doing that?

For those who want to use ndiswrapper for now: DLINK got a driver for the DWWA 645 wich uses the same chipset. But you need a windows 64bits driver to work on ndiswrapper on amd64 kernel. So no use now on the mac book pro with intel core 2 if you have install a amd64 system.

11/30/06 16:49:20 changed by anonymous

the problems is, that this driver is only a 32bit windows-driver. so, as pepie says: no use on the macbook pro with a 64bit kernel...

11/30/06 16:55:39 changed by anonymous

Oh sorry, misread the "So no use now on..." part

11/30/06 17:49:17 changed by anonymous

would be glad if someone could find a way to run ndiswrapper in 32bit on a 64bit kernel. but i think, there's no way, because ndiswrapper is a kernel module, and those have to be the same arch as the kernel.. so this is it

12/05/06 19:52:03 changed by toots

ndiswrapper crashes on macbook pro with the above driver and 2.6.19 kernel..

Anyone has an idea what to do in this case ?

12/06/06 01:17:41 changed by anonymous

you arent the only one -> [1] i had also some kernel panics when i tried the 2.6.19. maybe we could try something like [2]? (its mainly for the archlinux distro but im shure you can see your things out of there)

[1] h**p://sourceforge.net/mailarchive/forum.php?thread_id=31144659&forum_id=47881 [2] h**p://archlinux.org/news/273/

(replace h**p with http)

12/07/06 10:50:11 changed by anonymous

Some info for Thinkpad users:

Lenovo ships the card in some current Thinkpad models (such as in mine, a T60 2007VEH). I got it working with ndiswrapper, but not with the D-Link driver. I had to use the driver from Lenovo (can be downloaded from their support site, look for "ThinkPad? 802.11abgn wireless LAN", or use www-307.ibm.com/pc/support/site.wss/document.do?lndocid=MIGR-66449 as long as IBM don't change the MIGR).

With the D-Link driver, the card shows up in iwconfig, but is tuned to some 5.?? GHz and won't detect any network. Changing the settings with iwconfig did not have any effect, not even an error message.

12/07/06 16:13:46 changed by anonymous

Is there a date for a update of the madwifi driver to supports the AR5008 cards?

12/07/06 23:34:52 changed by daniel g. siegel

if someone has problems with the d-link driver (like kernel panics and so on), please use the thinkpad-windows driver described above (you have to use cabextract to get the driver). unfortunately this is not helpful for the 2.6.19, which wont work here with both windows-drivers (kernelpanic).

12/08/06 09:58:41 changed by mrenzmann

Is there a date for a update of the madwifi driver to supports the AR5008 cards?

No, otherwise it would have been announced here.

12/08/06 16:37:25 changed by jjcoellov@gmail.com

Hi, First of all excuse me for my bad english. I've bought a new MacBook Core 2 Duo last week. I've installed Ubuntu Dapper OS, and I was trying install madwifi drivers for my Atheros chipset, but it doesn't work. I try to load the ath_pci ("modprobe ath_pci") but it doesn't do anything. It seems to be loaded (with "lsmod" appears "ath_pci" and "ath_rate_sample") and /etc/network/interface file has "auto aht0 / iface ath0 inet dhcp" and "auto wlan0 / iface wlan0 inet dhcp" as wireless interfaces,but when I use "iwconfig" command just appear eth0 and lo, both without wireless extension.

I don't understand at all what you are discussing in this note, so I don't know if you would be able to help me: In a Gentoo LInux Wiki [gentoo-wiki.com/HARDWARE_Apple_MacBook] somebody wrotes "Note Core 2 Duo based MacBooks use a different atheros chip that is yet to be supported by madwifi." That's could be the problem with my drivers? Or they don't work because I'm doing something wrong?

Any help will be appreciated. Thanks

12/08/06 17:32:25 changed by daniel g. siegel

"That's could be the problem with my drivers?" yup

please read those things carefully above. your macbook is a core 2 duo machine, which means that you have a 64bit processor and your atheros isnt working under linux. you will have to install a 32bit distro and get the wlan-card working with those windows-drivers described above. hope it helps!

12/08/06 18:09:11 changed by Blackrain

Hi Guys

First of all, think you for your work on madwifi. I too went into this problem on my new Thinkpad X60 (Lenovo states this laptop ships with Intel 3945, but that's not the case). Looks like alot of the new core 2 duo laptops are shipping with this new chip. I will be a great to see madwifi's support on this new chip. Thank you for your work again.

12/09/06 01:31:08 changed by shamuki

I've set up an howto on thinkwiki.org to set up the driver with ndiswrapper on Linux so we can avoid posting madwifi-unrelated (i.e. ndiswrapper) stuff in this ticket. It may also be of use for Mac users running linux.

thinkwiki.org/wiki/ThinkPad_11a/b/g/n_Wireless_LAN_Mini_Express_Adapter

Feel free to improve it where you see fit.

Thanks go out to the community here! This ticket was my source of information for the howto. And thanks to the madwifi team! Keep up the great work!

12/09/06 01:46:46 changed by marcel

Thanx for the information with the Lenovo/IBM driver. Currently their support page sucks, as there are only dead links to the desired driver :(

Maybe someone has the possibility to host the driver somewhere else.

12/09/06 01:56:09 changed by marcel

Ok my was my fault. If you want to download this one, you have to accept cookies. Otherwise you get an annoying page saying this:

"The page you requested has moved. Choose a link below then update your bookmarks."

Somewhat confusing ;)

12/11/06 15:13:07 changed by jb@jblache.org

It looks like OS X uses a unified driver for both 0168c:0023 and 0168c:0024. This could be an indication that both cards aren't that different after all.

12/11/06 18:16:43 changed by daniel g. siegel

well, both have atheros chipsets ;) i mean, those apple guys could have written one driver for 2 wlan-chipsets. of course a manufacturer wont suddenly change his architecture at all.. so there havent to be exactly 2 different drivers. in my opinion some things are equal some things different. could someone investigate about this?

12/11/06 20:41:41 changed by jb@jblache.org

As it turns out, there's a new HAL version dated 20061205 that is available, and the 0023 and 0024 PCI IDs have appeared in the HAL header files.

From ah_devid.h:

...
/* AR5416  */
#define AR5416_DEVID_EMU_PCI    0xff1d          /* PCI Owl Emulation*/
#define AR5416_DEVID_EMU_PCIE   0xff1c          /* PCIe Owl Emulation*/
#define AR5416_DEVID            0x0023          /* PCI (MB/CB) */
#define AR5418_DEVID            0x0024          /* PCI Express (XB) */
...

Unfortunately the HAL API changed quite a bit in this version so I couldn't test it :/

It looks like nobody noticed this new HAL version and couldn't find an announcement for this version either.

Can somebody please get a status update on this ?

Thanks.

12/12/06 02:50:09 changed by Sven

Hello jb!

Where did you find that?!

12/12/06 09:26:24 changed by jb@jblache.org

Sven: on Sam Leffler's page. There's a patch for the driver too, though I don't know whether it applies to madwifi or not (didn't see it yesterday, ended up patching madwifi all by myself).

Anyway, after a bit of patching to get madwifi into a reasonable state for this new HAL, the HAL probe routine still returns a status of 1, which means no support for this card yet.

12/12/06 16:13:39 changed by toots

patch do not apply on current source.

I have looked on previous SVN release, but could not find a suitable source.

Romain

12/12/06 19:17:28 changed by Sven

Thank you jb, but where is Sam's page?? Did's found anything with google, please give me a hint!

12/12/06 20:11:03 changed by strasak@bubakov.net

Sven, here it is : http://people.freebsd.org/~sam/
Ignus

12/13/06 12:22:16 changed by mrenzmann

The new HAL will be committed to MadWifi sooner or later. However, please note that it's not officially released, but available for testing purposes. In addition, we're close to the freeze for the 0.9.3 release, and it's still to be decided if we commit the HAL before or after 0.9.3.

12/13/06 18:11:09 changed by anonymous

PLEASE commit before 0.9.3, there are a lot of Macbook users waiting for this driver, don't force us on Toy OS X...

12/13/06 18:53:57 changed by pepie34

May be at least a svn release will be cool...

12/17/06 15:51:02 changed by anonymous

Is it correct that the 0.9.3 release does support the AR5416 chipset?

12/19/06 02:02:25 changed by anonymous

Has anyone had any luck patching svn with the patch on people.freebsd.org/~sam/

I've tried applying the patch and then copied the new hal in but it won't compile

12/19/06 15:15:58 changed by anonymous

Same here: it doesn't compile.

12/19/06 17:45:47 changed by mrenzmann

Is it correct that the 0.9.3 release does support the AR5416 chipset?

As stated above: no, this is not yet decided. If we decide to get the new HAL into 0.9.3, this would mean another delay.

Same here: it doesn't compile.

Of course it does not compile, since the patch is intended for the FreeBSD Atheros driver, not for MadWifi. You will need to wait until the patch has been ported and is committed into the repository along with the new HAL.

12/19/06 20:58:47 changed by daniel g. siegel

if somebody could tell me where to find some porting guides i could do that during christmas..

12/20/06 18:56:15 changed by mrenzmann

I'm afraid there is no such thing as a porting guide. You would have to know at least one of the drivers a bit and interpolate for the other.

12/26/06 05:41:07 changed by ppesci@radiumtec.com

In FC 6 there are no solution for MacBook Pro:

ndiswrapper 1.32 can't solve the problem using the drivers from Lenovo or D-Link. The only chance appear to be a kernel recompile but I don't want to do this by now, and not sure if this goes to work.

12/27/06 01:10:33 changed by anonymous

ndiswrapper 1.31 does work on FC6 - I've only tried it on 32bit - but that works for sure It's certainly not a great solution - but it will keep you going while the development work is on going

12/29/06 16:22:10 changed by anonymous

As stated above: no, this is not yet decided. If we decide to get the new HAL into 0.9.3, this would mean another delay.

Is it decided now?

12/29/06 17:23:47 changed by mrenzmann

No. If it is decided, you can be sure that we will let you guys know with a comment to this ticket.

01/01/07 19:26:55 changed by anonymous

From my point of view, as a user with a new macbook, the new HAL would be graet for the 0.9.3 release. Which would make the crap with ndiswrapper obsolete on the macbook.

01/01/07 21:05:06 changed by widemos@gmail.com

Another ndiswrapper user here. Please, put it in 0.9.3.

Vote count: 2

01/01/07 22:20:44 changed by anonymous

Another 'new' MacBook user...

Vote count: 3

01/02/07 08:46:56 changed by anonymous

another one macbook owner, that cannot use ndiswrapper (not 64 bits)

vote count: 4

01/02/07 11:08:54 changed by c3rb3ros

another macbook&linux user... waiting for a usable driver... Thanks!

vote count: 5

01/02/07 11:32:00 changed by kelmo

Thanks for the votes fellas, you are not unheard. The new HAL will be worked on shortly, when some of the [ http://sourceforge.net/mailarchive/forum.php?thread_id=31278773&forum_id=33966 relevant] people return from their end of year vacations and so on.

01/02/07 13:27:56 changed by anonymous

just another macbook pro owner, happy to ear the good news :)

Regards,

01/02/07 13:49:50 changed by anonymous

Hey! This is a great start of year 2007 with such good news! Thanks

01/02/07 14:42:10 changed by anonymous

hoorah for the madwifi team!

01/03/07 02:23:43 changed by anonymous

i also have a macbook pro with linux and ndiswrapper doesn't work for me :( , thanks for the driver

01/03/07 03:12:09 changed by anonymous

I have a ThinkPad? T60 with the "IBM 802.11a/b/g/n" mini-PCI card which seems to be the same one as described in this issue. I'd also like to see Madwifi support it, particularly if there will be 64-bit support. Thanks!

01/03/07 08:03:44 changed by Piggy

Yeah got a macbook 2 as well. Really need this working before I can get rid of OS X.

01/03/07 23:43:16 changed by NikolajSheller

I have recently bought a macbook core2duo, and I'm getting an unknown device id 0x0024 on the wireless network card. I look forward to being able to install linux that can use the wireless driver. Thanks for your work so far!

01/04/07 00:25:44 changed by anonymous

me too!! me too!!

01/04/07 20:20:05 changed by anonymous

I'm the proud new owner of a ThinkPad? T60 with this Wifi-chip. It's the last bit of Hardware not running with Linux. I really appreciate your work! Thanks for your efforts!

01/05/07 12:05:58 changed by Sven

I had some difficulties setting up the ndiswrapper, but now it works: I'm using:

ndiswrapper-1.34rc2 Linux 2.6.19.1 Windows XP driver from the Lenovo support site

(The other drivers did not work for me...)

I hope the native driver will be usable soon...

01/05/07 21:18:40 changed by voights@gmail.com

I'm another user with a Macbook Rev2 that cannot use ndiswrapper. Thanks in advance!

01/07/07 04:06:37 changed by me@w3r3wolf.de

Macbook here. let us now if theres something to test.

01/08/07 00:09:58 changed by widemos@gmail.com

Great news! Keep on and thanks a lot.

01/08/07 18:56:23 changed by rootkit85@yahoo.it

Another MBP owner

01/09/07 04:39:49 changed by scottr

Hi all,

Sad news, but after talking to the provider of the HAL it would appear that even though the correct device id's appear in the include files, there is no support in the HAL for the new cards appearing in newer laptops, so updating MadWiFi to HAL 20061205 will not fix this issue.

Unfortunately MadWiFi cannot support new chipsets without support from the HAL first.

Hopefully chipset support will be added in the future, but for now it is out of our hands.

Thanks,

Scott.

01/09/07 12:11:40 changed by pic0

That's too bad. Not even 802.11a/b/g !? :'(

Anyways, thanks for your work, and good luck :)

Regards,

01/09/07 15:25:26 changed by C3rb3ros

very, very, very sad... ;-(

01/10/07 16:26:47 changed by rootkit85@yahoo.it

damn

01/10/07 17:11:13 changed by anonymous

Is there anything we can do to help sponsor this work?

01/10/07 21:31:27 changed by anonymous

Really, really bad :(

01/10/07 23:06:35 changed by anonymous

I would contribute financially, if it helps

01/10/07 23:23:50 changed by anonymous

Who is developing the HAL used by MadWifi? We have to support the one who is developing the HAL if we want to have a driver.

01/11/07 03:50:58 changed by rootkit85@yahoo.it

maybe atheros

01/11/07 06:31:19 changed by mrenzmann

The HAL is contributed by Sam Leffler, the former author of MadWifi as well as author of FreeBSD's Atheros driver. I'll contact him about the offer of supporting the task of getting support for the new chipset into the HAL. I report back with his answer.

01/11/07 18:45:22 changed by rootkit85@yahoo.it

what about adding ar5008 support to dadwifi-openhal?

01/12/07 06:51:29 changed by mrenzmann

OpenHAL development currently concentrates on the madwifi-old-openhal branch, and the results will later be used to bring the OpenHAL code to dadwifi-openhal.

I'll notify Nick about your question and ask him to answer it here himself.

01/12/07 09:38:07 changed by mickflemm

Hello !

I haven't seen nor tested any of those cards with OpenHAL and even if the MAC part is similar the radio part i guess would be very different.I hope that soon madwifi-old-openhal would be ready for some testing, so you can try it yourself. I'll keep you posted ;-)

01/13/07 18:42:33 changed by enzogupi

Hello, I've bought a new MacBook core 2 duo. Me too!

Add me to your "waiting people" counter... :-)

I'll stay tuned on this page.

01/13/07 19:14:43 changed by anonymous

We should create some "waiting paying people" counter if we don't want to see the ibook wifi story again...

01/14/07 02:57:09 changed by anonymous

Ok MBP owners, anyway you can use ndiswrapper, version 1.33 work for me in Fedora Core 6, in this thread some ppl has been successfuly in other distros and laptops using ndiswrapper. Madwifi solution will be better but not available now.

Thanks anyway madwifi ppl.

Pietro

01/14/07 19:30:32 changed by Meck

Hi, I am also able to use the ndiswrapper with a dlink driver in ubuntu on my macbook c2d. Well it works, but using a vpn client gave me a kernel panic caused by the ndiswrapper... very annoying. I would really appreciate a native solution.

01/15/07 00:05:16 changed by c3rb3ros

ndiswrapper is OFFTOPIC, anyway, it's not a solution for people using a 64 bit profile... :-(

01/15/07 11:53:58 changed by stevie

I would spend a small amount of money, too, if this can help the community to get the new HAL faster...

01/16/07 00:29:27 changed by Meck

Me too, I want a flawless running Linux on my MacBook and not toy OSX.

01/16/07 18:48:07 changed by Membris Khan

Another 64-bit user, waiting for great news :)

01/17/07 06:22:33 changed by mrenzmann

Bad news.

As stated above, I've told Sam about the idea of paying him with money raised from donations and also pointed him to this ticket. Today I got a response: at this time he is not able to make commitments for (even just basic) support for AR5008 chipsets. Sorry, guys.

01/18/07 00:29:54 changed by anonymous

Too bad ! But we will wait :)

01/19/07 20:53:06 changed by anonymous

will buy a pcmcia expresscard34 adapter and use my cisco card with in-kernel drivers..

01/20/07 07:02:07 changed by anonymous

[OFF TOPIC] Just wondering... what's the obsession with running a 64-bit kernel on a macbook? is there some specific performance advantage? feel free to email me any response if you'd rather keep this out of the current thread:

youcanthaveit AT gmail DOT com

01/21/07 10:45:54 changed by batmark

For people wanting to use ndiswrapper with the DWA-645 driver. Use the 1.01 version of the driver, as the 1.02 version caused my macbook to freeze. The 1.01 version seems to work quite well though. I hope that we get a native solution soon though.

01/24/07 16:16:11 changed by anonymous

I'm a novice on linux. Could windows driver for macbook (included in boot camp) work with ndiswrapper?

01/25/07 13:46:49 changed by anonymous

Let me remind that NDISWRAPPER IT OUT TOPIC HERE so you should STOP TALKING ABOUT IT, this is not a forum or an helpdesk.

Anyway, any news about the real thing ?

01/26/07 06:08:33 changed by mrenzmann

No, sorry.

01/30/07 15:54:44 changed by anonymous

Still nothing? Hey Sam, we are begging you! :-|

01/31/07 18:18:23 changed by Elesair

It would appear that the new Linksys N PCMCIA WPC300N card is using the same chipset. Can anyone confirm this? I cant post lspci results because im at work.

02/01/07 16:24:24 changed by anonymous

Elesair,

yes, the WMP300N released in the UK and Australia (I think) use this chip

02/01/07 22:16:43 changed by elesair

Fantastic, just have to wait for the HAL to be updated and i can use the card in Linux

02/02/07 01:14:07 changed by anonymous

elesair, you are wrong :-\

02/04/07 02:15:24 changed by ipstacks

I have a MacBook C2D 2.0 (white if it matters) and I had the wireless driver working under Linux with the DLink driver (5616.inf or something like that) until I applied the new N update. Now it doesn't work :(. I would replace the wireless card with a miniPCI that works with OS X and linux if there is such a card or a USB wireless dongle, but I am unsure which will work. Not having wireless access in Linux sucks bigtime. I love the MacBook, but this "issue" sucks. Anyone know of a USB dongle that will work?

02/04/07 04:24:20 changed by anonymous

Looks like the new HAL released a couple of days ago still doesn't support AR5418 Can someone more familiar with the driver confirm this or better yet infirm it :)

02/05/07 06:47:53 changed by mrenzmann

The new HAL release done by Sam introduces support for half- and quarter-bandwidth channels. Support for AR5008 is not mentioned in the release notes.

02/05/07 09:09:29 changed by anonymous

I got a core 2 duo thinkpad with AR 5008 chip which is not supported on linux. Does Atheros have software support for this chip? It doesn't make sense that the manufacturer has no software support for its product.

02/07/07 04:17:24 changed by anonymous

ipstacks:

Your problem is because the 2.6.19 series kerner is not compatible with ndiswrapper (I bet yo was using it). Try to download any 2.6.18 and recompile the driver.

02/07/07 14:24:42 changed by anonymous

ipstacks 1.35 and higher should work with 2.6.19 kernels

02/12/07 01:18:29 changed by anonymous

Is there any update of the "timeline"?

02/12/07 11:16:10 changed by anonymous

I have also a Thinkpad T60 with Ubuntu 7.04 running Kernel 2.6.20. The very new version of ndiswrapper 1.37 is now working with the ath-Chip. All previous version caused a freeze.

I hope that madwifi will support the atheros chip soon.

02/12/07 12:20:33 changed by mrenzmann

We understand that this topic concerns a lot of users. However, we are bound to the HAL binary that we get from our upstream. Upstream is aware of this issue, but did not tell us anything new about an ETA for support of AR5008. We will stay in contact with our upstream in this regard. As soon as there is anything new about AR5008 support we will inform the folks who watch this ticket.

For that reason I ask all interested parties to desist from asking over and over again if there are any updates on this issue. As mentioned before, we will take care to keep this ticket up to date. Thanks for your understanding.

02/13/07 16:05:45 changed by anonymous

Of course i dont know if the HAL from freebsd is directly portable to linux platforms, but just found this on the FreeBSD lists: ath_hal-20070201.tgz (Link to the file, since im not allowed to post it, can be found on the freebsd-current mailing list. The thread title is CFT: newath hal, and was posted on Fri Feb 2 03:02:07 UTC 2007

Its contains a link to a new HAL released 2007-02-01, which contains the following in the ah_devid.h file:

/* AR5416  */
#define AR5416_DEVID_EMU_PCI  0xff1d      /* PCI Owl Emulation*/
#define AR5416_DEVID_EMU_PCIE 0xff1c      /* PCIe Owl Emulation*/
#define AR5416_DEVID    0x0023          /* PCI (MB/CB) */
#define AR5418_DEVID    0x0024          /* PCI Express (XB) */

I sincerely hope this HAL is directly portable so we can get this chip up and running, since ndiswrapper works, but far from great for me :)

02/13/07 16:25:14 changed by mrenzmann

This has been explained already above, but as a short summary: despite the fact that the device IDs are mentioned in the headers, there is no support for AR5008 in the HAL.

02/14/07 10:02:42 changed by anonymous

mrenzmann,

please can you clarify - the topic of this thread is 0x0024 which I think is ar5418. It seems that the ar5008 support has crept in by mistake. I am very keen to have support in madwifi for the ar5416 and have been monitoring this thread on a daily basis!

02/14/07 12:12:11 changed by mrenzmann

I cannot think of how I could make myself more clear in that point, sorry. So, once more the current status:

Although the device IDs have been added to the headers, there is no support for AR5008 available so far in the HAL. There is no ETA for AR5008-support so far. As soon as there is anything new in this regard, we will announce it here, loud and clear.

We are absolutely aware that a lot of people are waiting out there for AR5008 support. However, it's been made clear to us that there is nothing at this point that you or we could do to speed up the implementation. It makes no sense to add "me too!" comments to this ticket, and the same goes for comments asking whether there is anything new to report about. From now on we will treat such comments as spam (read: they will be deleted without further notice), otherwise it will be impossible for users to follow this ticket. Thanks for your understanding.

02/14/07 18:00:12 changed by mike.mcgrain@gmail.com

pardon my complete lack of knowledge on driver coding this may be null.. but is it feasible to utilize the expresscard54 5008 chipset with the earlier drivers and just not gaining the added features? Im not a mac guy, but a no pcmcia with a express54 slot guy, fried 1 bios and 3 atheros 5006ex cards tryin to change the blacklist codes / eeprom on the pciX card.

thanks for taking the time to address this ?

if as i asume no.. any direction you could point me in for self getho rigging?

:)

02/16/07 05:52:58 changed by mrenzmann

@mike.mcgrain: that's what "legacy support" refers to in the above comments. AR5008 is completely unsupported at this time. It can't even be used for "normal" 11a/b/g operations, let alone 11n.

02/17/07 12:22:22 changed by anonymous

Found a Vista 64 bit driver.

h**p://www.x-drivers.ru/component/option,com_remository/func,fileinfo/id,18324/

I did not understand a word on that page, but the driver is downloadable. I'll give it a try with ndiswrapper.

03/07/07 11:12:44 changed by Dirk R. Gently

ndiswrapper doesn't support 64 bit drivers yet.

03/07/07 17:42:29 changed by anonymous

Sorry, I know this is not the place to comment on ndiswrapper, but please stop spreading false information about it. It hurts my eyes everytime I check this ticket for a status change :-)

1. ndiswrapper *DOES* support 64 bit drivers, I'm using it with a USB WLAN dongle where a Win XP 64 driver is available (Fritz!WLAN USB).

2. ndiswrapper *DOES NOT* support Vista drivers right now. It's apparently being worked on, but you *WILL NOT* get your AR5008 WiFi to work with a 64-bit Vista driver at this time.

03/21/07 18:20:37 changed by anonymous

well, guys, maybe we can combine donations and buy new macbook to madwifi developers? maybe it will help to reverse engineer the driver? what do you think? we need just 100 people donating for 16 bucks

03/22/07 12:28:14 changed by mrenzmann

While we'd certainly appreciate such a donation, I fear this won't help to speed up the task of adding AR5008 support to the HAL. The problem here is that none of the MadWifi developers has access to the HAL source, so none of us could extend the HAL as desired.

The support had to be added by our HAL supplier (Sam), but he already stated that this won't happen soon, even though paying him has been offered (see comment 99 above).

(follow-up: ↓ 135 ) 03/23/07 00:01:59 changed by Jim

mrenzmann - Is there anyone that we can contact/harrass in regards to getting them to release the HAL to you?

(in reply to: ↑ 134 ) 03/23/07 07:04:24 changed by mrenzmann

  • status changed from new to assigned.
  • owner set to mrenzmann.
  • milestone set to version 0.9.x - progressive release candidate phase.

Replying to Jim:

At this time: no. However,we will continue to evaluate ways to get AR5008 support into the HAL as soon as possible. It just will take some time (and thus patience by those who eagerly await this feature), as this is not the only task we're currently working at behind the scenes.

(follow-up: ↓ 137 ) 03/23/07 14:41:50 changed by anonymous

This closed source HAL is a shame.. I know this in unrelated, but I understand so much RMS' arguments now.... It would have been aded for ages if it was open...

(in reply to: ↑ 136 ) 03/23/07 17:26:09 changed by mrenzmann

<irony>Ah, I see, that's why we have AR5008 support already in OpenHAL.</irony>

03/24/07 21:23:22 changed by anonymous

to mrenzmann: "that's why we have AR5008 support already in OpenHAL" sure we could have if Atheros release specs for their card...

03/25/07 01:12:52 changed by Jim

mrenzmann: I can understand that you guys have other stuff, but just wondering if there is anything everyone here can do... enough people nagging atheros etc?

03/26/07 23:09:52 changed by code_wiz

I found a new hal (ath_hal-20070318) (version 0.9.30.10) and with a bit of tweaking, I got it compiled with the branch madwifi-hal-0.9.20.3. The stats so far: The output from dmesg looks promising; lots of information is output (rates, encryptions aso). The line "wifi0: Atheros 5418: mem=0xd8100000, irq=17" looks to me as if the support is finally there.

Unfortunately, there are some major problems using the card. I could not successfully connect to my AP. Capturing from another machine showed very few packets from my macbook. My AP's log showed that the card was connected, but however no communication was possible. When pinging the macbook from my ethernet, tcpdump showed arp packets and arp responses (which were not transmitted via wlan).

I guess that there is still some work to do, but as it seems, there _is_ some support for the chipset (or maybe it is somehow compatible to another chipset).

(follow-up: ↓ 142 ) 03/26/07 23:35:24 changed by scottr

Hi all,

A couple of days ago we were made aware of a new _experimental_ HAL with legacy only (abg) support for the 5416 and 5418 cards. It looks like this is what you've stumbled upon, code_wiz. I've been working to get the madwifi-hal-0.9.20.3 branch to a point where it can be merged into trunk, which is necessary before the new HAL can be used, due to API changes.

This work is nearing completion. However, the HAL support for 5416/5418 cards is experimental and not ready for production systems, so it won't make it into trunk yet. We will probably start a new branch with the code in it once madwifi-hal-0.9.20.3 is merged (although there is yet another HAL revision after that).

Yes, there is still work to do, but it is being worked on, so please be patient :)

Thanks,

Scott.

(in reply to: ↑ 141 ; follow-up: ↓ 148 ) 03/28/07 14:20:17 changed by mrenzmann

We will probably start a new branch with the code in it once madwifi-hal-0.9.20.3 is merged (although there is yet another HAL revision after that).

The new madwifi-hal-0.9.30.10 branch has been created, snapshot tarballs are available as well.

Interested parties should now start their tests with the new HAL, but please keep in mind: HAL v0.9.30.10 is still experimental and not yet suited for use on production systems'''.

In addition please report issues with HAL v0.9.30.10 in separate tickets instead of filing them as comments to this ticket. Those tickets should have their version set to madwifi-hal-0.9.30.10 branch.

Thanks.

03/28/07 16:18:42 changed by anonymous

Many thanks for this work !! It seems working here, although I don't have full network to test, but iwlist scanning show some results!

I had to ass the pci ids in ath/if_ath_pci.c: { 0x168c, 0x0024, PCI_ANY_ID, PCI_ANY_ID },

I'll report any issue as said above..

03/28/07 21:50:53 changed by anonymous

It is working here (no encryption). THANK YOU!

03/28/07 22:09:21 changed by ignuss

ppl, please write a bit more info about success/failures, especially about success, and pls don't use anonymous but some nick or whatever, just to make success stories and stuff be "traceable" , because man doesn't know this way if it is the same anonymous or another anonymous :) . What is a bit more? Distribution , if it is possible info about what exact Atheros HW ya have or at least what exact Macbook model or whatever is it ya have and etc. . I think it will help developers a lot and save their time

(follow-up: ↓ 147 ) 03/28/07 22:14:24 changed by eyalw

got the same problem... very sad i cant use linux on my macbook laptop i got macbook black 2Ghz model. i tried the subversion madwifi-hal-0.9.30.10 - didnt work for me. no wifi0 was added nor ath

please dont make me use os x : (

(in reply to: ↑ 146 ) 03/28/07 22:17:56 changed by anonymous

Replying to eyalw:

i got macbook black 2Ghz model. i tried the subversion madwifi-hal-0.9.30.10 - didnt work for me. no wifi0 was added nor ath

I've the same problem. I can provide more info:

I'm using gentoo with kernel 2.6.21-rc3. Load of ath_pci module gives no errors but athX or wifiX devices are not created. I've the same problem with kernel 2.6.19.7 . I don't know if is a problem with madwifi or a problem with my kernel.

(in reply to: ↑ 142 ; follow-up: ↓ 149 ) 03/28/07 22:26:26 changed by YBM

It almost works here (madwifi-hal-0.9.30.10) on MacBook rev 2. (168c:0024 (rev 01))

+ kernel 2.6.20 + mactel patches : every 5 mn or so the connexion drops then get back after a few seconds (not a wap or radio problem though : it works on Mac OS X or with ndiswrapper).

(in reply to: ↑ 148 ) 03/28/07 22:55:06 changed by YBM

Replying to YBM:

It almost works here (madwifi-hal-0.9.30.10) on MacBook rev 2. (168c:0024 (rev 01)) + kernel 2.6.20 + mactel patches : every 5 mn or so the connexion drops then get back after a few seconds (not a wap or radio problem though : it works on Mac OS X or with ndiswrapper).

Update : it only disconnect/connect every 5 mn when the macbook lid is closed...

03/29/07 00:14:47 changed by proski

I've added PCI ID for 168c:0024 in r2249. If your card has that ID, please try again with the updated driver.

03/31/07 01:18:48 changed by Matteo

I can link but can't ping the AP. i can sniff other PC traffic, but i can't send data.

# modprobe ath_pci
ath_hal: 0.9.30.10 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133)
wlan: 0.8.4.2 (svn r2249)
ath_pci: 0.9.4.5 (svn r2249)
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:03:00.0 to 64
ath_rate_sample: 1.2 (svn r2249)
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 12.10 phy 8.1 radio 12.0
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5418: mem=0x90100000, irq=17
# ifup ath0
# ifconfig ath0
ath0      Link encap:Ethernet  HWaddr LOL
          inet addr:192.168.0.20  Bcast:192.168.0.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:8 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:741 (741.0 b)  TX bytes:70 (70.0 b)

root@macbook:~# iwconfig ath0
ath0      IEEE 802.11g  ESSID:"rush"  Nickname:""
          Mode:Managed  Frequency:2.452 GHz  Access Point: LOL
          Bit Rate:11 Mb/s   Tx-Power:11 dBm   Sensitivity=0/3
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:LOL   Security mode:restricted
          Power Management:off
          Link Quality=45/94  Signal level=-51 dBm  Noise level=-96 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

# ping 192.168.0.1
PING 192.168.0.1 (192.168.0.1) from 192.168.0.20 ath0: 56(84) bytes of data.
From 192.168.0.20 icmp_seq=1 Destination Host Unreachable
From 192.168.0.20 icmp_seq=2 Destination Host Unreachable
From 192.168.0.20 icmp_seq=3 Destination Host Unreachable

--- 192.168.0.1 ping statistics ---
4 packets transmitted, 0 received, +3 errors, 100% packet loss, time 3009ms
, pipe 3

03/31/07 12:24:29 changed by toelke@in.tum.de

The newest Version from svn it works for me (Macbook), but only unencrypted against a AP. Neither Ad-Hoc-Mode nor any kind of WEP or WPA did work.

But: Great job so far! Especially since ndiswrapper is totally unstable here...

03/31/07 18:20:15 changed by bunjiboys

Just compiled and installed madwifi-hal-0.9.30.10-r2249-20070329 and got everything working on an unencrypted network. Will be testing with WEP encryption sometime next week when i get to the office and have a few seconds to play around with it. Thanks to both Sam for finally getting around to looking at the new HAL and the Madwifi guys as well ;)

04/01/07 13:20:21 changed by marco@teknusi.org

Hi, just compiled the experimental madwifi branch on this new macbook pro. I am using kernel 2.6.21-rc5 + mactel patches on Debian unstable. After a clean compile, i can modprobe the modules and this is my dmesg output:

ath_rate_sample: 1.2 (svn r2249)
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 12.10 phy 8.1 radio 12.0
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons

After that i am able to connect to an unencrypted network using device wlan0, not wifi0, setting Managed mode and my ap essid using iwconfig. I made a quick try connecting over a wpa psk network, but it does not seem to work yet. If there is some more testing i can do for you, please let me know.

04/01/07 20:02:58 changed by code_wiz

  • attachment messages.bz2 added.

04/01/07 20:04:04 changed by code_wiz

Hi there,

I turned all debugging features on (and had to remove most of the beacons manually lateron) and just attached my message file to this ticket. From another machine I captured the packets generated from the card. Nothing besides probes, authentications and associations.

I hope the message file helps.

Cheers,

code_wiz

04/01/07 20:49:00 changed by minskcity@yahoo.com

I've installed madwifi-hal-0.9.30.10-r2249-20070329 and it works for me on T60 Core 2 Duo Suse 10.2 64bit. No problems with using wireless so far. Thanks a lot to the people who work on the madwifi project.

04/02/07 16:45:30 changed by anonymous

I've compiled and installed madwifi-hal-0.9.30.10 on a Macbook running Ubuntu 6.10 (kernel 2.6.17-11) with Atheros card 0024 rev 01. Unencrypted networks work, encrypted networks (WEB/WPA) don't.

04/02/07 18:54:13 changed by BradJ

Installed madwifi-hal-0.9.30.10 on linux x86 (lfs), kernel 2.6.19.7. Unencrypted w-G works very well. w-N does not work at all. Power management does not work at all ("Operation not supported"), though I don't deny that I could be missing something needed for pm.

Excellent work. My thanks to all who contributed.

04/02/07 21:32:30 changed by anonymous

r2249 works on my macbook pro core2 duo, but - as above - only without encryption. anyway, thanks to the development team for the work so far!

04/03/07 09:19:41 changed by mrenzmann

Those of you who have encountered issues with using encryption with the new HAL: please head over to #1243 and provide further information about what you did, what you expected to happen and what happened instead. Please provide as much information as possible, otherwise it will be hard to determine the cause of the problem.

Please, do not provide the information I asked for above in here but only in #1243. This ticket has already 160 comments... thanks.

(follow-up: ↓ 166 ) 04/03/07 15:24:01 changed by pic0

does the "Airport Extreme 802.11n enabler for Mac" has any influence on madwifi ? I don't want to upgrade if it involve another driver nightmare ...

URL: store.apple.com/1-800-MY-APPLE/WebObjects/AppleStore.woa/wa/RSLID?mco=B48E8262&nplm=D4141ZM%2FA

04/03/07 18:17:08 changed by toelke@in.tum.de

according to that page I already have that update installed (the card registers as "a/b/g/n" in Mac OS X)

04/03/07 19:15:20 changed by Sven

I have the enabler install and no problems using ndiswrapper. Yesterday I tried the new madwifi driver, but I'm experiencing the same problems like some others: The chip is detected, correctly loaded but encryption does not work...

04/06/07 19:46:36 changed by ammulder

I'm using a ThinkPad? with this card under SuSE 10.2 -- and I'm used to using RPMs to install the MadWifi driver. Can someone walk me through trying out this new HAL etc? I'm not sure what I need to do to get it installed, and whether I also need a newer driver and so on. Thanks.

04/06/07 19:56:02 changed by strasak@bubakov.net

if it works for you , don't install new HAL, it is pretty experimental - and thus it could be unstable, not support all encryption stuff properly and etc. and also "installation" is not as simple as installing rpms. If ya want to give it a try anyway, read throught pages and ya will for sure find lot of informations about it - hints : compiling madwifi from sources , download from svn repository

(in reply to: ↑ 161 ; follow-up: ↓ 168 ) 04/06/07 22:20:39 changed by anonymous

Replying to pic0:

does the "Airport Extreme 802.11n enabler for Mac" has any influence on madwifi ? I don't want to upgrade if it involve another driver nightmare ... URL: store.apple.com/1-800-MY-APPLE/WebObjects/AppleStore.woa/wa/RSLID?mco=B48E8262&nplm=D4141ZM%2FA

Just finished installing the 802.11n enabler package (from an airport extreme support cd) and can confirm that madwifi is still working. dmesg still shows rates up to 54Mb, that is 802.11g, but madwifi still works fine (w/no wep).

I'm not sure whether the enabler involves a "firmware" upgrade, maybe it's just an upgraded piece of software?

04/07/07 13:50:16 changed by pic0

OK thanks for your replies concerning the 802.11n enabler.

For Gentoo users out here, I've set up an overlay containing an ebuild for madwifi-0.9.30.10, along with some others interesting stuff related to MacBook(Pro).

svn co svn://svn.tuxfamily.org/svnroot/picoverlay/ebuilds/trunk

Please report to forums.gentoo.org/viewtopic-t-421609-postdays-0-postorder-asc-start-500.html if you have any issue.

(in reply to: ↑ 166 ) 04/10/07 07:43:47 changed by mrenzmann

Replying to anonymous:

I'm not sure whether the enabler involves a "firmware" upgrade, maybe it's just an upgraded piece of software?

Devices that rely on Atheros chipsets don't have firmware. That's exactly the reason why we have the HAL. If I was to bet I'd say that the enabler is an upgrade for the driver and 802.11 stack used by MacOS X for these cards.

(follow-up: ↓ 170 ) 04/26/07 13:51:25 changed by Brandon Harper

FWIW, this branch /sort of/ got wireless networking running on my Lenovo T60. I seem to be unable to connect to my WPA Pre-Shared Key network (using AES) though. If you need some more info for debugging purposes, contact me using gmail.com with the username of ieatspam.

(in reply to: ↑ 169 ) 04/26/07 14:01:41 changed by mrenzmann

Replying to Brandon Harper:

I seem to be unable to connect to my WPA Pre-Shared Key network (using AES) though.

This is a known problem which is documented in #1243.

04/29/07 19:37:39 changed by anonymous

I have a Thinkpad T60p with the a/b/g/n card that I have to run RedHat? (RHEL WS4 U4), which is kernel 2.6.9-42. Should I have any hope of making this driver work for that kernel vintage? I also need WPA, so I am waiting for that to get worked out. Thanks for any information.

(follow-up: ↓ 173 ) 04/29/07 23:48:10 changed by Alex

Good news, Looks like WEP/WPA is now working with the latest HAL (0.9.30.13). I didn't do extensive testing yet, but I'm typing this from my MBP over a WPA secured link :)

Alex.

(in reply to: ↑ 172 ) 04/30/07 06:54:13 changed by anonymous

Replying to Alex:

Looks like WEP/WPA is now working with the latest HAL (0.9.30.13).

So where did you find/get 0.9.30.13? It's not in the 0.9.30 branch, and trunk only have 0.9.18.0.

04/30/07 07:54:06 changed by strasak@bubakov.net

He got it here i guess, don't forget to remove - :) -> h-ttp://people.freebsd.org/~sam/

04/30/07 13:56:56 changed by turbo@bayour.com

PERFECT! Thanx, works like a charm here...

Although (I know, I'm difficult to please :) - this is most likley not to do with the driver but NetworkManager, but just incase it HAVE something to do with the driver. If it isn't, just say so and I'll look elsewhere for solution...

I have an SMC WBR14T-G wireless router. I've setup WPA2 and choosed to do 'Group Key Re_Keying' every 1000 k packages. I get authenticated, but just after a couple of seconds (15-20 roughly), I get 'disconnected' from the network - I ASSUME after the 1000k - and I have to re-authenticate (which sometimes takes ages). If I disable the re-keying, then it works pefectly, but I guess it's easier to hack the network then... ?

Note though that I _had_ MAC encryption on (I did that kind of 'security' before encryption etc worked... That is ALSO now disabled, might be a combination problem...

05/01/07 00:09:42 changed by Wicks

N00b question - but how can I get this new HAL working on ubuntu - ive had enough of mac os x!!!

05/01/07 11:28:53 changed by turbo@bayour.com

You download the tarball. Unpack it. Do a 'cd' into this directory. Then run the following command:

find | cpio -vp <dir of madwifi checkout>/hal/

Then go back into the madwifi checkout directory and run 'make clean ; make' and when it's done, run 'make install' as root. Then you need to unload the old driver(s) load the new ones. When you load the new, check with dmesg or a tail of /var/log/syslog (or messages) to see that the version get's loaded).

For me, I ran this command sequence:


find | cpio -vp ../madwifi-0.9.30/hal/ cd ../madwifi-0.9.30 make clean make sudo make install [I choosed to remove all existing drivers] sudo rmmod lsmod | egrep 'ath|wlan' | sed 's@ .*@@' sudo modprobe ath_pci


When I ran the modprobe line, I had a 'tail -f /var/log/syslog -n0' running and looked for the following line to make sure the right version got loaded:


[ 6610.960000] ath_hal: 0.9.30.13 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133)


05/01/07 11:33:26 changed by turbo@bayour.com

That actually looked good when I wrote it! I guess I should have used some 'pre' tags. Let's try again

find | cpio -vp ../madwifi-0.9.30/hal/
cd ../madwifi-0.9.30
make clean
make
sudo make install
[I choosed to remove all existing drivers]
sudo rmmod `lsmod | egrep 'ath|wlan' | sed 's@ .*@@'`
sudo modprobe ath_pci

(follow-up: ↓ 187 ) 05/01/07 17:57:47 changed by widemos@gmail.com

Another way, based on previous, working on Macbook with Ubuntu Feisty:

cd /tmp
svn checkout ht-tp://svn.madwifi.org/branches/madwifi-hal-0.9.30.10 madwifi
wget ht-tp://people.freebsd.org/~sam/ath_hal-20070428.tgz
tar xvzf ath_hal-20070428.tgz
rm -rf ./madwifi/hal/
cp ath_hal-20070428 madwifi/hal -R
make clean
make
sudo make install

[I choosed to remove all existing drivers]

sudo rmmod `lsmod | egrep 'ath|wlan' | sed 's@ .*@@'`
sudo modprobe ath_pci

Enjoy!

05/01/07 21:57:13 changed by anonymous

Was me being an idiot... i cd madwifi then did the makes...

Its found the card! Joins the Network! (WITH WPA!!)....

But when you open a program that use the network (GAIM, FIREFOX etc) everything completly freezes. Any Idea?

(macbook pro - ubuntu feisty)

05/02/07 00:30:48 changed by mentor

05/02/07 01:50:21 changed by Jim

I tried the .13 svn... but getting the same problem. I just followed the instructions again. Is there a way I can reverse what I have done and start over.. fresh start may prove successful.

05/02/07 16:16:36 changed by mentor

For help in compiling, installing, etc. Madwifi, please use the wiki, mailing list and IRC channel for user support. The bug tracking system should be reserved for tracking bugs.

If anyone is experiencing kernel crashes/oops with the new HAL branch, please could they report them in a seperate ticket.

(in reply to: ↑ 179 ) 05/04/07 06:26:59 changed by anonymous

Replying to widemos@gmail.com:

Another way, based on previous, working on Macbook with Ubuntu Feisty:

<...elided text...>

Thanks for this post! I have a Lenovo T60 with Atheros dev_id 0024 (apparently an AR 5418) and was having problems with Ubuntu 7.04 (feisty fawn). The distro drivers were not new enough -- didn't even recognize the device. I then grabbed the latest stable snapshot, still not new enough -- recognized device and appeared to attach to access point, but it would never send packets out the interface (DHCP would never work, nor would manually configured addresses). Finally, I found this thread and the referenced directions and, voila, it worked. Thanks again! g-buz

05/04/07 20:06:57 changed by Bruno

I can report success (although I'm yet to see if it is stable) on a MacBook C2D, using WPA.

I was having lots of issues with ndiswrapper (freezes, and the likes) this is great!

Great work! :-D

05/05/07 15:46:53 changed by anonymous

@widemos@gmail.com and turbo@bayour.com Thank you so much! Works like a charm!

05/05/07 17:47:32 changed by mentor

  • status changed from assigned to closed.
  • resolution set to fixed.

I'm going to go ahead and close this ticket now. Note that the new HAL version may not land on trunk for a little while.

Fixed in madwifi-hal-0.9.30.13.

05/08/07 09:50:06 changed by mrenzmann

The original feature that was requested with this ticket is now available (at least experimentally), as detailed in the above comments. Thus this ticket has been closed.

Support requests should be directed to our regular support channels. Bug reports should be filed in a new ticket.

All comments posted to this ticket from now on will be deleted without further notice.

05/24/07 12:42:02 changed by mrenzmann

  • milestone changed from version 0.9.x - progressive release candidate phase to version 0.9.4.

FYI: the madwifi-hal-0.9.30.13 branch has been merged to trunk (and the branch has been removed). If you don't want to wait until the next release (v0.9.4), you could go with a snapshot or checkout from trunk - just make sure that your code is >= r2360.

02/11/08 06:13:29 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.

04/07/08 22:29:39 changed by espy@ubuntu.com

After recently upgrading my Macbook Pro (Santa Rosa) to Hardy Beta, I re-built and re-installed madwifi ( due to Hardy bundling 0.9.4 ) from the trunk and ended up with broken Wi-Fi.

nm-applet showed me scan results, but association fails.

I took NetworkManager out of the picture and tried manual configuration with both iwconfig, and wpa_supplicant. Both timeout during association.

I also noticed that iwconfig reports the interface as 802.11a.

So I went through a bunch of revisions this afternoon starting with r3344 and found the r3405 is the culprit, and the problem exists in the latest rev ( r3456 ).

04/08/08 02:52:04 changed by anonymous

same problem here with ubuntu gutsy and

03:00.0 Network controller: Atheros Communications, Inc. AR5418 802.11a/b/g/n Wireless PCI Express Adapter (rev 01)

in a X60 tablet.

r3404 works, starting with r3405 nm-applet showed me scan results, but association fails. manual configuration also fails.

04/15/08 22:13:28 changed by proski

r3405 was reverted in r3525. The ticket remains closed. Please post new issues as separate bugs.